> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://developer-test.atomicwork.com/llms.txt.
> For full documentation content, see https://developer-test.atomicwork.com/llms-full.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://developer-test.atomicwork.com/_mcp/server.

# Create catalogue item

POST https://{tenant}.atomicwork.com/api/v1/workspaces/{workspaceId}/catalogue/items
Content-Type: application/json

Reference: https://developer-test.atomicwork.com/atomicwork-public-api/service-catalog/postapi-v-1-workspaces-workspace-id-catalogue-items

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: collection
  version: 1.0.0
paths:
  /api/v1/workspaces/{workspaceId}/catalogue/items:
    post:
      operationId: postapi-v-1-workspaces-workspace-id-catalogue-items
      summary: Create catalogue item
      tags:
        - subpackage_serviceCatalog
      parameters:
        - name: workspaceId
          in: path
          description: The workspace ID
          required: true
          schema:
            type: integer
            format: int64
        - name: X-Api-Key
          in: header
          required: true
          schema:
            type: string
        - name: X-Workspace-Id
          in: header
          required: false
          schema:
            type: string
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/Service
                  Catalog_postapi_v1_workspaces__workspaceId__catalogue_items_Response_200
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                name:
                  type: string
                description:
                  type: string
                image:
                  type: integer
                  format: int64
                tags:
                  type: array
                  items:
                    type: string
                is_active:
                  type: boolean
                is_public:
                  type: boolean
                user_segments:
                  type: array
                  items:
                    type: integer
                    format: int64
                category_id:
                  type: integer
                  format: int64
                theme:
                  type: integer
                  format: int64
                is_default:
                  type: boolean
                  default: false
              required:
                - name
                - user_segments
servers:
  - url: https://{tenant}.atomicwork.com
components:
  schemas:
    Service Catalog_postapi_v1_workspaces__workspaceId__catalogue_items_Response_200:
      type: object
      properties: {}
      description: Empty response body
      title: >-
        Service
        Catalog_postapi_v1_workspaces__workspaceId__catalogue_items_Response_200
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-Api-Key

```

## SDK Code Examples

```python
import requests

url = "https://{tenant}.atomicwork.com/api/v1/workspaces/1/catalogue/items"

payload = {
    "name": "Premium Support Package",
    "user_segments": [12, 34],
    "description": "Provides 24/7 priority support with dedicated account management and faster response times.",
    "image": 1024,
    "tags": ["support", "premium", "priority"],
    "is_active": True,
    "is_public": True,
    "category_id": 5,
    "theme": 2,
    "is_default": False
}
headers = {
    "X-Workspace-Id": "{{workspace_id}}",
    "X-Api-Key": "<apiKey>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://{tenant}.atomicwork.com/api/v1/workspaces/1/catalogue/items';
const options = {
  method: 'POST',
  headers: {
    'X-Workspace-Id': '{{workspace_id}}',
    'X-Api-Key': '<apiKey>',
    'Content-Type': 'application/json'
  },
  body: '{"name":"Premium Support Package","user_segments":[12,34],"description":"Provides 24/7 priority support with dedicated account management and faster response times.","image":1024,"tags":["support","premium","priority"],"is_active":true,"is_public":true,"category_id":5,"theme":2,"is_default":false}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://{tenant}.atomicwork.com/api/v1/workspaces/1/catalogue/items"

	payload := strings.NewReader("{\n  \"name\": \"Premium Support Package\",\n  \"user_segments\": [\n    12,\n    34\n  ],\n  \"description\": \"Provides 24/7 priority support with dedicated account management and faster response times.\",\n  \"image\": 1024,\n  \"tags\": [\n    \"support\",\n    \"premium\",\n    \"priority\"\n  ],\n  \"is_active\": true,\n  \"is_public\": true,\n  \"category_id\": 5,\n  \"theme\": 2,\n  \"is_default\": false\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("X-Workspace-Id", "{{workspace_id}}")
	req.Header.Add("X-Api-Key", "<apiKey>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://{tenant}.atomicwork.com/api/v1/workspaces/1/catalogue/items")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["X-Workspace-Id"] = '{{workspace_id}}'
request["X-Api-Key"] = '<apiKey>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"name\": \"Premium Support Package\",\n  \"user_segments\": [\n    12,\n    34\n  ],\n  \"description\": \"Provides 24/7 priority support with dedicated account management and faster response times.\",\n  \"image\": 1024,\n  \"tags\": [\n    \"support\",\n    \"premium\",\n    \"priority\"\n  ],\n  \"is_active\": true,\n  \"is_public\": true,\n  \"category_id\": 5,\n  \"theme\": 2,\n  \"is_default\": false\n}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://{tenant}.atomicwork.com/api/v1/workspaces/1/catalogue/items")
  .header("X-Workspace-Id", "{{workspace_id}}")
  .header("X-Api-Key", "<apiKey>")
  .header("Content-Type", "application/json")
  .body("{\n  \"name\": \"Premium Support Package\",\n  \"user_segments\": [\n    12,\n    34\n  ],\n  \"description\": \"Provides 24/7 priority support with dedicated account management and faster response times.\",\n  \"image\": 1024,\n  \"tags\": [\n    \"support\",\n    \"premium\",\n    \"priority\"\n  ],\n  \"is_active\": true,\n  \"is_public\": true,\n  \"category_id\": 5,\n  \"theme\": 2,\n  \"is_default\": false\n}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://{tenant}.atomicwork.com/api/v1/workspaces/1/catalogue/items', [
  'body' => '{
  "name": "Premium Support Package",
  "user_segments": [
    12,
    34
  ],
  "description": "Provides 24/7 priority support with dedicated account management and faster response times.",
  "image": 1024,
  "tags": [
    "support",
    "premium",
    "priority"
  ],
  "is_active": true,
  "is_public": true,
  "category_id": 5,
  "theme": 2,
  "is_default": false
}',
  'headers' => [
    'Content-Type' => 'application/json',
    'X-Api-Key' => '<apiKey>',
    'X-Workspace-Id' => '{{workspace_id}}',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://{tenant}.atomicwork.com/api/v1/workspaces/1/catalogue/items");
var request = new RestRequest(Method.POST);
request.AddHeader("X-Workspace-Id", "{{workspace_id}}");
request.AddHeader("X-Api-Key", "<apiKey>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"name\": \"Premium Support Package\",\n  \"user_segments\": [\n    12,\n    34\n  ],\n  \"description\": \"Provides 24/7 priority support with dedicated account management and faster response times.\",\n  \"image\": 1024,\n  \"tags\": [\n    \"support\",\n    \"premium\",\n    \"priority\"\n  ],\n  \"is_active\": true,\n  \"is_public\": true,\n  \"category_id\": 5,\n  \"theme\": 2,\n  \"is_default\": false\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "X-Workspace-Id": "{{workspace_id}}",
  "X-Api-Key": "<apiKey>",
  "Content-Type": "application/json"
]
let parameters = [
  "name": "Premium Support Package",
  "user_segments": [12, 34],
  "description": "Provides 24/7 priority support with dedicated account management and faster response times.",
  "image": 1024,
  "tags": ["support", "premium", "priority"],
  "is_active": true,
  "is_public": true,
  "category_id": 5,
  "theme": 2,
  "is_default": false
] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://{tenant}.atomicwork.com/api/v1/workspaces/1/catalogue/items")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```